import java.awt.*;
import java.awt.event.*;
import java.applet.*;

public class AnonymousListener extends Applet {
	TextField tf = new TextField(20);
	Button bt = new Button("OK");
	int k=0;

	public void init(){
		add(tf);//向容器 applet中添加组件。
	
		//bt按钮为事件源，注册监听器对象。
		bt.addActionListener(
				//使用匿名内部类定义监听器类。
				new ActionListener(){
					public void actionPerformed(ActionEvent e){
						if (k==0){
							tf.setText("Hello");//可以访问tf组件。
							k=1;
						}
						else{
							tf.setText("World");
							k=0;
						}
					}
			
				});
		add(bt);//向容器中添加组件
	}
	
}
/*<Applet code="AnonymousListener" width="300" height="300">
  </Applet>
 */
